<?php
$priceModel = $block->getPriceType('regular_price');
$finalPriceModel = $block->getPriceType('final_price');
$idSuffix = $block->getIdSuffix() ? $block->getIdSuffix() : '';
$schema = ($block->getZone() == 'item_view') ? true : false;


?>
<div class="simple">
    <?php if ($block->hasSpecialPrice()): ?>
        <span class="special-price">
        <?php echo $block->renderAmount($finalPriceModel->getAmount(), [
            'display_label' => __('Special Price'),
            'price_id' => $block->getPriceId('product-price-' . $idSuffix),
            'price_type' => 'finalPrice',
            'include_container' => true,
            'schema' => $schema
        ]); ?>
    </span>
        <span class="al_discount_p 111" >
    <?php
    $item = $block->getSaleableItem();
    $_savePercent = 100 - round(((float)$item->getFinalPrice() / (float)$item->getPrice()) * 100);
    echo  $_savePercent. '% off';
    ?>
    </span>
        <span class="old-price">
        <strike><?php echo $block->renderAmount($priceModel->getAmount(), [
                'display_label' => '',
                'price_id' => $block->getPriceId('old-price-' . $idSuffix),
                'price_type' => 'oldPrice',
                'include_container' => true,
                'skip_adjustments' => true
            ]); ?></strike>
    </span>
    <?php else: ?>
        <?php echo $block->renderAmount($finalPriceModel->getAmount(), [
            'price_id' => $block->getPriceId('product-price-' . $idSuffix),
            'price_type' => 'finalPrice',
            'include_container' => true,
            'schema' => $schema
        ]); ?>
    <?php endif; ?>

    <?php if ($block->showMinimalPrice()): ?>
        <?php if ($block->getUseLinkForAsLowAs()): ?>
            <a href="<?= $block->getSaleableItem()->getProductUrl() ?>" class="minimal-price-link">
                <?= $block->renderAmountMinimal() ?>
            </a>
        <?php else: ?>
            <span class="minimal-price-link">
            <?= $block->renderAmountMinimal() ?>
        </span>
        <?php endif ?>
    <?php endif; ?>
</div>

<style type="text/css">
  .al_discount_p {
    display: none;
  }
</style>